/**
 * Theme for code fragments
 */

@import '../../../../bower_components/highlightjs/styles/vs.css';

/* Code blocks highlights */
#rd-presentation .rd-slide .remark-slide-content .remark-code-line.remark-code-line-highlighted {
    background-color: rgba(1, 137, 180, 0.25);
}

/* Code block */
#rd-presentation .rd-slide .remark-slide-content .remark-code {
    border: 2.5pt solid rgb(1, 137, 180);
    border-radius: 10pt;
    margin-bottom: 10pt;
}

/* Inline code used in markdown with back quotes as such `int i=0;` */
#rd-presentation .rd-slide .remark-slide-content code.remark-inline-code {
    font-family: monospace;
    font-size: inherit;
}

.rd-handouts > .rd-body .code-line {
    min-height: 1em;
}

.rd-handouts > .rd-body .highlighted {
    background-color: rgba(1, 137, 180, 0.25);
}

/* Makes pre-tags wrap in case the handouts can't fit contents on one line (otherwise scrollbars would be shown on the printouts) */
.rd-handouts > .rd-body pre {
    white-space: pre-wrap;
}

.rd-handouts > .rd-body pre > code {
    font-family: monospace;
    font-weight: bold;
    border: 0.8mm solid rgb(1, 137, 180);
    border-radius: 10pt;
    margin-bottom: 10pt;
}

.rd-handouts > .rd-body p code {
  font-size: 14pt;
}
